package Bencher::ScenarioR::DigestSHA1;

our $VERSION = 0.001; # VERSION

our $results = [
  [
    200,
    "OK",
    [
      {
        errors => 1.3e-05,
        participant => "Digest::SHA1",
        rate => 8.96,
        samples => 7,
        time => 112,
        vs_slowest => 1,
      },
      {
        errors => 1.6e-05,
        participant => "Digest::SHA",
        rate => 15.8,
        samples => 6,
        time => 63.2,
        vs_slowest => 1.77,
      },
    ],
    {
      "func.bencher_args"    => {
                                  action => "bench",
                                  note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                  scenario_module => "DigestSHA1",
                                },
      "func.bencher_version" => undef,
      "func.cpu_info"        => [
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "ida",
                                                                      "arat",
                                                                      "xsaveopt",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "8192 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 60,
                                    name                         => "Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",
                                    number_of_cores              => 4,
                                    number_of_logical_processors => 8,
                                    processor_id                 => 0,
                                    speed                        => 3899.375,
                                    stepping                     => 3,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "ida",
                                                                      "arat",
                                                                      "xsaveopt",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "8192 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 60,
                                    name                         => "Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",
                                    number_of_cores              => 4,
                                    number_of_logical_processors => 8,
                                    processor_id                 => 1,
                                    speed                        => 3872.015,
                                    stepping                     => 3,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "ida",
                                                                      "arat",
                                                                      "xsaveopt",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "8192 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 60,
                                    name                         => "Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",
                                    number_of_cores              => 4,
                                    number_of_logical_processors => 8,
                                    processor_id                 => 2,
                                    speed                        => 3850.367,
                                    stepping                     => 3,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "ida",
                                                                      "arat",
                                                                      "xsaveopt",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "8192 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 60,
                                    name                         => "Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",
                                    number_of_cores              => 4,
                                    number_of_logical_processors => 8,
                                    processor_id                 => 3,
                                    speed                        => 3895.921,
                                    stepping                     => 3,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "ida",
                                                                      "arat",
                                                                      "xsaveopt",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "8192 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 60,
                                    name                         => "Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",
                                    number_of_cores              => 4,
                                    number_of_logical_processors => 8,
                                    processor_id                 => 4,
                                    speed                        => 3898.976,
                                    stepping                     => 3,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "ida",
                                                                      "arat",
                                                                      "xsaveopt",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "8192 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 60,
                                    name                         => "Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",
                                    number_of_cores              => 4,
                                    number_of_logical_processors => 8,
                                    processor_id                 => 5,
                                    speed                        => 3900.039,
                                    stepping                     => 3,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "ida",
                                                                      "arat",
                                                                      "xsaveopt",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "8192 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 60,
                                    name                         => "Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",
                                    number_of_cores              => 4,
                                    number_of_logical_processors => 8,
                                    processor_id                 => 6,
                                    speed                        => "3876.000",
                                    stepping                     => 3,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "ida",
                                                                      "arat",
                                                                      "xsaveopt",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "8192 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 60,
                                    name                         => "Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",
                                    number_of_cores              => 4,
                                    number_of_logical_processors => 8,
                                    processor_id                 => 7,
                                    speed                        => 3896.984,
                                    stepping                     => 3,
                                  },
                                ],
      "func.elapsed_time"    => 1.47168302536011,
      "func.module_startup"  => undef,
      "func.module_versions" => {
                                  "Bencher::Scenario::DigestSHA1" => undef,
                                  "Benchmark::Dumb" => "0.10",
                                  "Devel::Platform::Info" => 0.16,
                                  "Digest::SHA" => 5.95,
                                  "Digest::SHA1" => 2.13,
                                  "perl" => "v5.24.0",
                                  "Sys::Info" => 0.78,
                                },
      "func.note"            => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"         => ["perl", ["perl"], "participant", [0, 1], "dataset", [0]],
      "func.platform_info"   => {
                                  archname => "x86_64",
                                  codename => "jessie",
                                  is32bit  => 0,
                                  is64bit  => 1,
                                  kernel   => "linux-3.16.0-4-amd64",
                                  kname    => "Linux",
                                  kvers    => "3.16.0-4-amd64",
                                  osflag   => "linux",
                                  oslabel  => "Debian",
                                  osname   => "GNU/Linux",
                                  osvers   => 8.5,
                                  source   => {
                                                "cat /etc/.issue" => "",
                                                "cat /etc/issue"  => "Debian GNU/Linux 8 \\n \\l",
                                                "lsb_release -a"  => "Distributor ID:\tDebian\nDescription:\tDebian GNU/Linux 8.5 (jessie)\nRelease:\t8.5\nCodename:\tjessie",
                                                "uname -a"        => "Linux builder 3.16.0-4-amd64 #1 SMP Debian 3.16.36-1+deb8u1 (2016-09-03) x86_64 GNU/Linux",
                                                "uname -m"        => "x86_64",
                                                "uname -o"        => "GNU/Linux",
                                                "uname -r"        => "3.16.0-4-amd64",
                                                "uname -s"        => "Linux",
                                              },
                                },
      "func.precision"       => 6,
      "func.scenario_module" => "Bencher::Scenario::DigestSHA1",
      "func.time_end"        => 1479736612.67042,
      "func.time_factor"     => 1000,
      "func.time_start"      => 1479736611.19874,
      "table.field_aligns"   => ["left", "number", "number", "number", "number", "number"],
      "table.field_units"    => [undef, "/s", "ms"],
      "table.fields"         => ["participant", "rate", "time", "vs_slowest", "errors", "samples"],
    },
  ],
];

1;
# ABSTRACT: Benchmark Digest::SHA1 against Digest::SHA

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Bencher::ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

